'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var bytes = require('multiformats/bytes.js');
var baseX = _interopDefault(require('base-x'));
var buffer = require('buffer');

const wrap = obj => ({
  encode: b => obj.encode(buffer.Buffer.from(b)),
  decode: s => bytes.coerce(obj.decode(s))
});

const btc = '123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz';
const flickr = '123456789abcdefghijkmnopqrstuvwxyzABCDEFGHJKLMNPQRSTUVWXYZ';

var base58 = [
  { name: 'base58btc', prefix: 'z', ...wrap(baseX(btc)) },
  { name: 'base58flickr', prefix: 'Z', ...wrap(baseX(flickr)) }
];

module.exports = base58;
