'use strict';

var index = require('./index.cjs');
var raw = require('./codecs/raw.cjs');
var json = require('./codecs/json.cjs');
var base32 = require('./bases/base32.cjs');
var base64 = require('./bases/base64.cjs');
var sha2 = require('./hashes/sha2.cjs');

const multiformats = index.create();
multiformats.multihash.add(sha2);
multiformats.multicodec.add([raw, json]);
multiformats.multibase.add([base32, base64]);

module.exports = multiformats;
